/* ChessTask - A graphical frontend for creating chess tasks in
*              LaTeX or HTML.
* Copyright (C) 2002-2004 by Dirk Baechle (dl9obn@darc.de)
*
* http://chesstask.sourceforge.net
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public
* License along with this program; if not, write to the 
*
* Free Software Foundation, Inc.
* 675 Mass Ave
* Cambridge
* MA 02139
* USA
*
*/

/** 
\file ctGlobal.h
\author Dirk Baechle
\date 2004-03-24
\version 2.0
*/

#ifndef CT_GLOBAL_H
#define CT_GLOBAL_H

/*--------------------------------------------------------- Const values */

/** The value for a string in LaTeX format */
const int LATEX	= 0x0;
/** The value for a string in HTML format */
const int HTML = 0x1;
/** The value for ChessCards format */
const int CARDS = 0x2;
/** The value for a conversion from the old file format */
const int CONVERT = 0x3;
/** The value for specifying the field type ``task'' */
const int TASK = 0x10;
/** The value for specifying the field type ``solution'' */
const int SOLUTION = 0x11;

/** Language ``English'' */
const int ENGLISH = 0x0;
/** Language ``German'' */
const int GERMAN = 0x1;

/** Diagram font size ``tiny'' */
const int TINY = 0x0;
/** Diagram font size ``small'' */
const int SMALL = 0x1;
/** Diagram font size ``normal'' */
const int NORMAL = 0x2;
/** Diagram font size ``large'' */
const int LARGE = 0x3;

/*----------------------------------------------------- Global variables */

extern int ctLanguage;

#endif


