/* ChessTask - A graphical frontend for creating chess tasks in
*              LaTeX or HTML.
* Copyright (C) 2002-2004 by Dirk Baechle (dl9obn@darc.de)
*
* http://chesstask.sourceforge.net
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public
* License along with this program; if not, write to the 
*
* Free Software Foundation, Inc.
* 675 Mass Ave
* Cambridge
* MA 02139
* USA
*
*/

/** 
\file ctPieces.h
\author Dirk Baechle
\date 2004-03-24
\version 2.0
*/

#ifndef CT_PIECES_H
#define CT_PIECES_H

/*--------------------------------------------------------- Const values */

/** The color white */
const unsigned int WHITE = 0x0;
/** The color black */
const unsigned int BLACK = 0x1;

/** An empty square */
const unsigned int EMPTY = 0x0;
/** A white pawn */
const unsigned int PAWN = 0x1;
/** A white knight */
const unsigned int KNIGHT = 0x2;
/** A white bishop */
const unsigned int BISHOP = 0x3;
/** A white rook */
const unsigned int ROOK = 0x4;
/** A white queen */
const unsigned int QUEEN = 0x5;
/** A white king */
const unsigned int KING = 0x6;
/** The white ``marker'' A */
const unsigned int MARKER_A = 0x7;
/** The white ``marker'' B */
const unsigned int MARKER_B = 0x8;

/** A black pawn */
const unsigned int BPAWN = 0x9;
/** A black knight */
const unsigned int BKNIGHT = 0xA;
/** A black bishop */
const unsigned int BBISHOP = 0xB;
/** A black rook */
const unsigned int BROOK = 0xC;
/** A black queen */
const unsigned int BQUEEN = 0xD;
/** A black king */
const unsigned int BKING = 0xE;
/** The black ``marker'' A */
const unsigned int BMARKER_A = 0xF;
/** The black ``marker'' B */
const unsigned int BMARKER_B = 0x10;



#endif


