/* ChessTask - A graphical frontend for creating chess tasks in
*              LaTeX or HTML.
* Copyright (C) 2002-2004 by Dirk Baechle (dl9obn@darc.de)
*
* http://chesstask.sourceforge.net
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public
* License along with this program; if not, write to the 
*
* Free Software Foundation, Inc.
* 675 Mass Ave
* Cambridge
* MA 02139
* USA
*
*/

/** 
\file ctTitleDialog.cpp
\author Dirk Baechle
\date 2004-03-24
\version 2.0
*/

/*------------------------------------------------------------- Includes */

#include "ctTitleDialog.h"

#include <qlayout.h>
#include <qpushbutton.h>
#include <qlineedit.h>

/*------------------------------------------------------------ Functions */

/** Constructor for the \a ctTitleDialog class. */
ctTitleDialog::ctTitleDialog( QWidget *parent, QString name )
    : QDialog( parent, name, true)
    
{
    QBoxLayout *vb = new QVBoxLayout( this );
    leTitle = new QLineEdit( this, "leTitle" );      
    QPushButton *ok;
    ok = new QPushButton( tr("OK"), this, "pbOK" );
    connect( ok, SIGNAL(clicked()), SLOT(accept()) );

    vb->addWidget(leTitle);
    vb->addWidget(ok);
    vb->activate();

    resize(300, minimumHeight());
}

/** Sets the ``title'' line edit for the dialog.
@param sTitle New text for the title
*/
void ctTitleDialog::setTitleText(const QString &sTitle)
{
  leTitle->setText(sTitle);
}


/** Returns the current title.
@return New text for the title
*/
const QString & ctTitleDialog::getTitleText()
{
  s = leTitle->text();
  return s;
}

